<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Contact extends CI_Controller{
  public function index()
  {
    $page = $this->crud->getDataSingle('pages', 'contact', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/contact');
    $this->load->view('public/common/public-footer');
  }
  public function process()
  {
    if ($this->input->server('REQUEST_METHOD') === 'POST')
    {
      $data['name'] = $this->input->post('name') ?? null;
      $data['phone'] = $this->input->post('phone') ?? null;
      $data['email'] = $this->input->post('email') ?? null;
      $data['event'] = $this->input->post('event') ?? null;
      $data['company'] = $this->input->post('company') ?? null;
      $data['message'] = $this->input->post('message') ?? null;
      $data['created'] = date('Y-m-d H:i:s');
      if ($this->crud->save('message', $data, false)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('title', 'Message Sent!');
        $this->session->set_flashdata('msg', 'The message has been sent successfully.');
      } else {
        $this->session->set_flashdata('type', 'error');
        $this->session->set_flashdata('title', 'Not Send!');
        $this->session->set_flashdata('msg', 'Unable to send the message!');
      }
      return redirect(base_url('contact'));
    }
    else
    {
      $this->session->set_flashdata('type', 'error');
      $this->session->set_flashdata('title', 'Error');
      $this->session->set_flashdata('msg', 'No direct script access allowed.');
      return redirect(base_url('contact'));
    }
  }
}
?>
