<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Portfolio extends CI_Controller{
  public function work($pageNumber = null)
  {
    // Load pagination library
    $this->load->library('pagination');
    // Fetch page details from the database
    $page = $this->crud->getDataSingle('pages', 'work', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    // Pagination settings
    $paginationConfig = [
      'base_url' => base_url('work'), // URL for the pagination links
      'total_rows' => $this->crud->getCountAll('work'), // Total number of entries in the 'work' table
      'per_page' => 3, // Number of entries per page
      'uri_segment' => 2, // URL segment where the page number appears
      'full_tag_open' => '<ul class="styled-pagination mt-4 text-center">', // Opening tag for pagination container
      'full_tag_close' => '</ul>', // Closing tag for pagination container
      'num_tag_open' => '<li>', // Opening tag for individual page link
      'num_tag_close' => '</li>', // Closing tag for individual page link
      'cur_tag_open' => '<li><a href="#" class="active">', // Opening tag for active page link
      'cur_tag_close' => '</a></li>', // Closing tag for active page link
      'prev_link' => '<span class="icon fa fa-angle-left"></span>', // Previous page link text
      'prev_tag_open' => '<li>', // Opening tag for previous page link
      'prev_tag_close' => '</li>', // Closing tag for previous page link
      'next_link' => '<span class="icon fa fa-angle-right"></span>', // Next page link text
      'next_tag_open' => '<li>', // Opening tag for next page link
      'next_tag_close' => '</li>', // Closing tag for next page link
      'first_tag_open' => '<li>', // Opening tag for first page link
      'first_tag_close' => '</li>', // Closing tag for first page link
      'last_tag_open' => '<li>', // Opening tag for last page link
      'last_tag_close' => '</li>', // Closing tag for last page link
    ];
    // Initialize pagination with the config
    $this->pagination->initialize($paginationConfig);
    // Get the current page number from the URL segment
    $pageNumber = ($this->uri->segment(2)) ? $this->uri->segment(2) : 0;
    // Fetch data from the 'work' table for the current page
    $data['work_items'] = $this->crud->get_paginated_data('work', $paginationConfig['per_page'], $pageNumber, 'id', 'desc');
    $data['pagination_links'] = $this->pagination->create_links();
    // Load the views with the page data and pagination links
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/work', $data);
    $this->load->view('public/common/public-footer');
  }
  public function clients()
  {
    $page = $this->crud->getDataSingle('pages', 'clients', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/clients');
    $this->load->view('public/common/public-footer');
  }
  public function testimonials()
  {
    $page = $this->crud->getDataSingle('pages', 'testimonials', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/testimonials');
    $this->load->view('public/common/public-footer');
  }
  public function gallery($pageNumber = null)
  {
    // Load pagination library
    $this->load->library('pagination');
    // Fetch page details from the database
    $page = $this->crud->getDataSingle('pages', 'gallery', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    // Pagination settings
    $paginationConfig = [
      'base_url' => base_url('gallery'), // URL for the pagination links
      'total_rows' => $this->crud->getCountAll('media_gallery'), // Total number of entries in the 'work' table
      'per_page' => 8, // Number of entries per page
      'uri_segment' => 2, // URL segment where the page number appears
      'full_tag_open' => '<ul class="styled-pagination mt-4 text-center">', // Opening tag for pagination container
      'full_tag_close' => '</ul>', // Closing tag for pagination container
      'num_tag_open' => '<li>', // Opening tag for individual page link
      'num_tag_close' => '</li>', // Closing tag for individual page link
      'cur_tag_open' => '<li><a href="#" class="active">', // Opening tag for active page link
      'cur_tag_close' => '</a></li>', // Closing tag for active page link
      'prev_link' => '<span class="icon fa fa-angle-left"></span>', // Previous page link text
      'prev_tag_open' => '<li>', // Opening tag for previous page link
      'prev_tag_close' => '</li>', // Closing tag for previous page link
      'next_link' => '<span class="icon fa fa-angle-right"></span>', // Next page link text
      'next_tag_open' => '<li>', // Opening tag for next page link
      'next_tag_close' => '</li>', // Closing tag for next page link
      'first_tag_open' => '<li>', // Opening tag for first page link
      'first_tag_close' => '</li>', // Closing tag for first page link
      'last_tag_open' => '<li>', // Opening tag for last page link
      'last_tag_close' => '</li>', // Closing tag for last page link
    ];
    // Initialize pagination with the config
    $this->pagination->initialize($paginationConfig);
    // Get the current page number from the URL segment
    $pageNumber = ($this->uri->segment(2)) ? $this->uri->segment(2) : 0;
    // Fetch data from the 'work' table for the current page
    $data['gallery_items'] = $this->crud->get_paginated_data('media_gallery', $paginationConfig['per_page'], $pageNumber, 'id', 'desc');
    $data['pagination_links'] = $this->pagination->create_links();
    // Load the views with the page data and pagination links
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/gallery', $data);
    $this->load->view('public/common/public-footer');
  }
}
?>
