<div class="container-xxl flex-grow-1 container-p-y">
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-edit" aria-controls="navs-top-edit" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-edit"></i> Edit Blog Post
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/manageBlog')?>" class="nav-link" role="tab">
              <i class="menu-icon tf-icons bx bx-rss"></i> Manage Blog Posts
            </a>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-edit" role="tabpanel">
            <div class="my-3" id="Section-1">
              <?= form_open_multipart(base_url('admin/updatePost'), ['class' => 'p-0']) ?>
              <div class="row">
                <!-- Title -->
                <div class="col-md-12 mb-3">
                  <label for="title" class="form-label">Title</label>
                  <input type="text" id="title" name="title" value="<?=$post->title ?>" class="form-control" placeholder="Enter blog post title">
                </div>
                <!-- URI -->
                <div class="col-md-12 mb-3">
                  <label for="uri" class="form-label d-flex justify-content-between">
                    <span>
                      URI (Slug)
                    </span>
                    <span id="uriResult"></span>
                  </label>
                  <input type="text" id="uri" name="uri" class="form-control" placeholder="Enter unique URI (slug)" value="<?=$post->uri ?>">
                </div>
                <!-- Thumbnail Image -->
                <div class="col-md-6 mb-3">
                  <label for="thumbnail" class="form-label">Thumbnail Image (Card Image)</label>
                  <input type="file" id="thumbnail" name="thumbnail" class="form-control" accept="image/*">
                  <?php if (!empty($post->thumbnail)): ?>
                    <div class="d-flex justify-content-center pt-3">
                      <img src="<?=base_url($post->thumbnail)?>" alt="thumbnail" class="w-25 img-thumbnails">
                    </div>
                  <?php endif; ?>
                </div>
                <!-- Cover Image -->
                <div class="col-md-6 mb-3">
                  <label for="cover" class="form-label">Cover Image (Post Detail Image)</label>
                  <input type="file" id="cover" name="cover" class="form-control" accept="image/*">
                  <?php if (!empty($post->cover)): ?>
                    <div class="d-flex justify-content-center pt-3">
                      <img src="<?=base_url($post->cover)?>" alt="cover" class="w-25 img-thumbnails">
                    </div>
                  <?php endif; ?>
                </div>
                <!-- Summary -->
                <div class="col-md-12 mb-3">
                  <label for="summary" class="form-label">Summary</label>
                  <textarea id="summary" name="summary" class="form-control" rows="3" placeholder="Enter a brief summary of the blog post"><?=$post->summary ?></textarea>
                </div>
                <!-- Content -->
                <div class="col-md-12 mb-3">
                  <label for="content" class="form-label">Content</label>
                  <textarea id="content" name="content" class="form-control editor" rows="8" placeholder="Enter the full content of the blog post"><?=$post->content ?></textarea>
                </div>
                <!-- SEO Title -->
                <div class="col-md-12 mb-3">
                  <label for="seo_title" class="form-label">SEO Title</label>
                  <input type="text" id="seo_title" name="seo_title" value="<?=$post->seo_title ?>" class="form-control" placeholder="Enter SEO title">
                </div>
                <!-- SEO Description -->
                <div class="col-md-12 mb-3">
                  <label for="seo_description" class="form-label">SEO Description</label>
                  <textarea id="seo_description" name="seo_description" class="form-control" rows="2" placeholder="Enter SEO description"><?=$post->seo_description ?></textarea>
                </div>
                <!-- SEO Tags -->
                <div class="col-md-12 mb-3">
                  <label for="seo_tags" class="form-label">SEO Tags</label>
                  <input type="text" id="seo_tags" name="seo_tags" value="<?=$post->seo_tags ?>" class="form-control" placeholder="Enter comma-separated SEO tags (e.g., blog, tech, development)">
                </div>
                <input type="hidden" name="id" value="<?=$post->id ?>">
                <!-- Submit and Reset Buttons -->
                <div class="col-md-12 text-center mt-4">
                  <button type="submit" class="btn btn-primary"><i class="fas fa-save fa-fw"></i> Update Blog Post</button>
                  <button type="reset" class="btn btn-secondary"><i class="fas fa-undo fa-fw"></i> Reset</button>
                </div>
              </div>
              <?= form_close() ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
