<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <a href="<?=base_url('admin/projects.php')?>" class="nav-link" >
              <i class="menu-icon tf-icons bx bx-tag"></i> Manage Project 
            </a>
          </li>
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-edit-sections" aria-controls="navs-top-edit-sections" aria-selected="true">
              <i class="menu-icon tf-icons bx bx-edit"></i> Edit Project Category
            </button>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-manage-sections" role="tabpanel">
            <div class="nav-align-top">
              <?=form_open_multipart(base_url('admin/updateProjects.php')) ?>
              <div class="row">
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="name">
                      <i class='bx bx-rename'></i>  Project Name
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="name" name="name" value="<?=$projectData->name ?>" placeholder="Enter project name..." onkeyup="project2u('name')" />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="uri">
                      <i class='bx bx-link-external' ></i>  Project URI
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="uri" name="uri" value="<?=$projectData->uri ?>" placeholder="Enter project uri..." onkeyup="project2u('uri')" aria-label="uri" aria-describedby="uri" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="project_type">
                      <i class='bx bx-rename'></i>  Project Type
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="project_type" name="project_type" value="<?=$projectData->project_type ?>" placeholder="Enter project type..." />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="location">
                      <i class='bx bx-rename' ></i>  Project Location
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="location" name="location" value="<?=$projectData->location ?>" placeholder="Enter project location..." />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="year">
                      <i class='bx bx-rename'></i>  Project Year
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="year" name="year" value="<?=$projectData->year ?>" placeholder="Enter project year..." />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="features">
                      <i class='bx bx-rename' ></i>  Project Features
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <input type="text" class="form-control" id="features" name="features" value="<?=$projectData->features ?>" placeholder="Enter project features..." />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <div class="col-lg-6">
                  <div class="row mb-3">
                    <div class="col-md-12">
                      <label for="cat_uri" class="form-label">
                        <i class='bx bx-tag'></i>&nbsp; Category
                      </label>
                      <select id="category" name="category" class="select2 form-select form-select-lg" data-allow-clear="true">
                        <option value="">Choose Category</option>
                        <?php foreach ($this->crud->getDataAll('projects_cat', 'name', 'ASC') as $projects_cat): ?>
                          <option value="<?=$projects_cat->id ?>" <?=($projectData->category == $projects_cat->id)?'selected':'' ?>><?=$projects_cat->name ?></option>
                        <?php endforeach; ?>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="thumbnail">
                      <i class='bx bx-image' ></i>  Thumbnail Image
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <div class="input-group mb-3">
                          <input type="file" name="thumbnail" class="form-control w-25" id="thumbnail" accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-12">
                      <div class="card border-0">
                        <img src="<?=base_url($projectData->thumbnail)?>" class="img-thumbnail w-50 shadow" style="width:50%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <label class="col-sm-12 col-form-label" for="summery">
                  <i class='bx bx-text' ></i>  Summery
                </label>
                <div class="col-sm-12">
                  <textarea class="form-control editor_basic" id="summery" name="summery" placeholder="Enter courses category summery..." aria-label="summery" aria-describedby="summery"><?=$projectData->summery ?></textarea>
                </div>
              </div>
              <div class="row mb-3 mt-3">
                <label class="col-sm-12 col-form-label" for="content">
                  <i class='bx bx-text' ></i>  Content
                </label>
                <div class="col-sm-12">
                  <textarea class="form-control editor" id="content" name="content" placeholder="Enter courses category summery..." aria-label="summery" aria-describedby="summery"><?=$projectData->content ?></textarea>
                </div>
              </div>
              
              
              
              <div class="row mb-3">
                <label class="col-sm-12 col-form-label" for="seo_title">
                  <i class='bx bx-globe' ></i>  SEO Title
                </label>
                <div class="col-sm-12">
                  <div class="input-group input-group-merge">
                    <textarea class="form-control w-100" id="seo_title" name="seo_title" placeholder="Enter SEO Title..." aria-label="seo_title" aria-describedby="seo_title"><?=$projectData->seo_title ?></textarea>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <label class="col-sm-12 col-form-label" for="seo_description">
                  <i class='bx bx-globe' ></i>  SEO Description
                </label>
                <div class="col-sm-12">
                  <div class="input-group input-group-merge">
                    <textarea class="form-control w-100" id="seo_description" name="seo_description" placeholder="Enter SEO Description..." aria-label="seo_description" aria-describedby="seo_description"><?=$projectData->seo_description ?></textarea>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <label class="col-sm-12 col-form-label" for="seo_keyword">
                  <i class='bx bx-globe' ></i>  Tags
                </label>
                <div class="col-sm-12">
                  <div class="input-group input-group-merge">
                    <input type="text" class="form-control w-100" id="seo_keyword" name="seo_keyword" value="<?=$projectData->seo_keywords ?>" placeholder="Enter Tags..." aria-label="seo_keyword" aria-describedby="seo_keyword" />
                  </div>
                </div>
              </div>
              <div class="d-flex justify-content-between">
                <input type="hidden" name="id" value="<?=$projectData->id ?>">
                <button type="submit" class="btn btn-success btn-lg w-25">
                  <i class='bx bxs-save' ></i> Update Details
                </button>
                <button type="reset" class="btn btn-secondary btn-lg w-25">
                  <i class='bx bx-redo' ></i> Reset Details
                </button>
              </div>
              <?=form_close() ?>
              <br><hr>
              
              <div class="nav-align-top my-3">
                <ul class="nav nav-pills mb-3" role="tablist">
                  <li class="nav-item">
                    <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-pills-top-home" aria-controls="navs-pills-top-home" aria-selected="true">
                      <i class="bx bx-plus"></i> Add Content
                    </button>
                  </li>
                  <?php $i=1; foreach ($this->crud->getDataSingle('projects_content', $projectData->id, 'pid', true) as $projects_content): ?>
                    <li class="nav-item">
                      <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-pills-top-content<?=$i ?>" aria-controls="navs-pills-top-content<?=$i ?>" aria-selected="false"><i class="bx bx-edit"></i> Edit Content - <?=$i ?></button>
                    </li>
                    <?php $i++; endforeach; ?>
                  </ul>
                  <div class="tab-content">
                    <div class="tab-pane fade show active" id="navs-pills-top-home" role="tabpanel">
                      <?=form_open_multipart(base_url('admin/saveProjectContent.php')) ?>
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="nameContent">
                          <i class='bx bx-rename'></i>  Heading
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <input type="text" class="form-control" id="nameContent" name="name" placeholder="Enter content heading..." />
                          </div>
                        </div>
                      </div>
                      <div class="row mb-3 mt-3">
                        <label class="col-sm-12 col-form-label" for="contentContent">
                          <i class='bx bx-text' ></i>  Content
                        </label>
                        <div class="col-sm-12">
                          <textarea class="form-control editor" id="contentContent" name="content" placeholder="Enter content..." aria-label="summery" aria-describedby="summery"></textarea>
                        </div>
                      </div>
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="thumbnailContent">
                          <i class='bx bx-image' ></i>  Thumbnail Image
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <div class="input-group mb-3">
                              <input type="file" name="thumbnail" class="form-control w-25" id="thumbnailContent" accept="image/*" onchange="showPreview(event,'thumbnailContentPreview');">
                            </div>
                          </div>
                        </div>
                        <div class="col-sm-12">
                          <div class="card border-0">
                            <img class="img-thumbnail w-50 shadow" style="width:50%;margin:auto;object-fit:contain;" id="thumbnailContentPreview" />
                          </div>
                        </div>
                      </div>
                      <div class="card bg-secondary border-0 mt-4">
                        <input type="hidden" name="pid" value="<?=$projectData->id ?>">
                        <input type="hidden" name="rp" value="<?=hashed(current_url()) ?>">
                        <button type="submit" class="btn btn-lg btn-info">
                          <i class="bx bx-save"></i> Save Content
                        </button>
                      </div>
                      <?=form_close() ?>
                    </div>
                    <?php $j=1; foreach ($this->crud->getDataSingle('projects_content', $projectData->id, 'pid', true) as $projects_content): ?>
                      <div class="tab-pane fade" id="navs-pills-top-content<?=$j ?>" role="tabpanel">
                        <?=form_open_multipart(base_url('admin/updateProjectContent.php')) ?>
                        <div class="row mb-3">
                          <label class="col-sm-12 col-form-label" for="nameContent<?=$j ?>">
                            <i class='bx bx-rename'></i>  Heading
                          </label>
                          <div class="col-sm-12">
                            <div class="input-group input-group-merge">
                              <input type="text" class="form-control" id="nameContent<?=$j ?>" name="name" value="<?=$projects_content->name ?>" placeholder="Enter content heading..." />
                            </div>
                          </div>
                        </div>
                        <div class="row mb-3 mt-3">
                          <label class="col-sm-12 col-form-label" for="contentContent<?=$j ?>">
                            <i class='bx bx-text' ></i>  Content
                          </label>
                          <div class="col-sm-12">
                            <textarea class="form-control editor" id="contentContent<?=$j ?>" name="content" placeholder="Enter content..." aria-label="summery" aria-describedby="summery"><?=$projects_content->content ?></textarea>
                          </div>
                        </div>
                        <div class="row mb-3">
                          <label class="col-sm-12 col-form-label" for="thumbnailContent<?=$j ?>">
                            <i class='bx bx-image' ></i>  Thumbnail Image
                          </label>
                          <div class="col-sm-12">
                            <div class="input-group input-group-merge">
                              <div class="input-group mb-3">
                                <input type="file" name="thumbnail" class="form-control w-25" id="thumbnailContent<?=$j ?>" accept="image/*" onchange="showPreview(event,'thumbnailContentPreview<?=$j ?>');">
                              </div>
                            </div>
                          </div>
                          <div class="col-sm-12">
                            <div class="card border-0">
                              <img src="<?=base_url($projects_content->thumbnail)?>" class="img-thumbnail w-50 shadow" style="width:50%;margin:auto;object-fit:contain;" id="thumbnailContentPreview<?=$j ?>" />
                            </div>
                          </div>
                        </div>
                        <div class="-4 d-flex justify-content-between">
                          <input type="hidden" name="pid" value="<?=$projectData->id ?>">
                          <input type="hidden" name="id" value="<?=$projects_content->id ?>">
                          <input type="hidden" name="rp" value="<?=hashed(current_url()) ?>">
                          <button type="submit" class="btn btn-lg btn-info w-50">
                            <i class="bx bx-save"></i> Update Content
                          </button>
                          <button type="button" onclick="dc('<?=base_url('admin/deleteProjectContent/'.$projects_content->id.'/'.hashed(current_url()).'.php')?>')" class="btn btn-lg btn-danger w-50">
                            <i class="bx bx-trash"></i> Delete Content
                          </button>
                        </div>
                        <?=form_close() ?>
                      </div>
                      <?php $j++; endforeach; ?>
                    </div>
                  </div>
                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--/ Card layout -->
    </div>
    <!-- / Content -->
