<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
    <!-- Card layout -->
    <div class="row mb-5">
        <div class="col-12 mb-3">
            <div class="nav-align-top">
                <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item">
                        <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-list" aria-controls="navs-top-list" aria-selected="true">
                            <i class="menu-icon tf-icons bx bx-list-ul"></i> Services List
                        </button>
                    </li>
                    <li class="nav-item">
                        <a href="<?=base_url('admin/addService.php')?>" class="nav-link">
                            <i class="menu-icon tf-icons bx bx-plus"></i> Add Service
                        </a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="navs-top-list" role="tabpanel">
                      
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Heading</th>
                                    <th>Photo</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i=1; foreach ($services as $service): ?>
                                <tr>
                                    <td><?php echo $i; ?></td>
                                    <td><?php echo $service->title; ?></td>
                                    <td>
                                      <img src="<?=base_url($service->thumbnail)?>" width="100"/>
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                          <a href="<?php echo site_url('admin/editService/'.$service->id); ?>" class="btn btn-warning btn-sm">
                                            <i class="bx bx-edit"></i>
                                          </a>
                                          <a href="<?php echo site_url('admin/deleteServices/'.$service->id); ?>" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?')">
                                            <i class="bx bx-trash"></i>
                                          </a>
                                        </div>
                                    </td>
                                </tr>
                                <?php $i++; endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--/ Card layout -->
</div>
<!-- / Content -->

<!-- Add Slider Modal -->
<div class="modal fade" id="addSliderModal" data-bs-backdrop="static" tabindex="-1">
    <div class="modal-dialog modal-xl">
        <?=form_open_multipart(base_url('admin/addSlider'),['class'=>'modal-content']) ?>
        <div class="modal-header">
            <h5 class="modal-title">Add Slider</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
            <div class="row g-2">
                <div class="col mb-3">
                    <label for="heading" class="form-label">Heading</label>
                    <input type="text" id="heading" name="heading" class="form-control" placeholder="Enter heading...">
                </div>
            </div>
            <div class="row g-2">
                <div class="col mb-3">
                    <label for="sub_heading" class="form-label">Sub Heading</label>
                    <input type="text" id="sub_heading" name="sub_heading" class="form-control" placeholder="Enter sub heading...">
                </div>
            </div>
            <div class="row g-2">
                <div class="col mb-3">
                    <label for="link_text" class="form-label">Link Text</label>
                    <input type="text" id="link_text" name="link_text" class="form-control" placeholder="Enter link text...">
                </div>
                <div class="col mb-3">
                    <label for="link_anchor" class="form-label">Link Anchor</label>
                    <input type="text" id="link_anchor" name="link_anchor" class="form-control" placeholder="Enter link anchor...">
                </div>
            </div>
            <div class="row g-2">
                <div class="col mb-3">
                    <label for="photo" class="form-label">Photo</label>
                    <input type="file" id="photo" name="photo" class="form-control">
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save Slider</button>
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
        <?=form_close() ?>
    </div>
</div>
<!-- /Add Slider Modal -->
