<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab">
              <i class="menu-icon tf-icons bx bx-edit"></i> Edit Service
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/services.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-home"></i> All Service
            </a>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-edit" role="tabpanel">
            <?= debug(@$error) ?>
            <?= form_open_multipart(base_url('admin/editService/' . $service->id)) ?>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="title" class="form-label">Title</label>
                <input type="text" id="title" name="title" onkeyup="service2u('title')" class="form-control" value="<?= set_value('title', $service->title) ?>" placeholder="Enter title...">
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="uri" class="form-label">URI</label>
                <input type="text" id="uri" name="uri" onkeyup="service2u('uri')" class="form-control" value="<?= set_value('uri', $service->uri) ?>" placeholder="Enter URI...">
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="summeryBox" class="form-label">Summary</label>
                <textarea id="summeryBox" name="summery" class="form-control" placeholder="Enter summary..."><?= set_value('summery', $service->summery) ?></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="thumbnail" class="form-label">Thumbnail Image</label>
                <input type="file" id="thumbnail" name="thumbnail" class="form-control">
                <?php if ($service->thumbnail): ?>
                  <img src="<?= base_url($service->thumbnail) ?>" alt="Thumbnail" class="img-thumbnail mt-2" width="150">
                <?php endif; ?>
              </div>
              <div class="col mb-3">
                <label for="cover" class="form-label">Cover Image</label>
                <input type="file" id="cover" name="cover" class="form-control">
                <?php if ($service->cover): ?>
                  <img src="<?= base_url($service->cover) ?>" alt="Cover" class="img-thumbnail mt-2" width="150">
                <?php endif; ?>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="content" class="form-label">Content</label>
                <textarea id="content" name="content" class="form-control editor" placeholder="Enter content..."><?= set_value('content', $service->content) ?></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_title" class="form-label">SEO Title</label>
                <textarea id="seo_title" name="seo_title" class="form-control" placeholder="Enter SEO Title..."><?= set_value('seo_title', $service->seo_title) ?></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_description" class="form-label">SEO Description</label>
                <textarea id="seo_description" name="seo_description" class="form-control" placeholder="Enter SEO Description..."><?= set_value('seo_description', $service->seo_description) ?></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_keywords" class="form-label">SEO Keywords</label>
                <textarea id="seo_keywords" name="seo_keywords" class="form-control" placeholder="Enter SEO Keywords..."><?= set_value('seo_keywords', $service->seo_keywords) ?></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <button type="submit" class="btn btn-primary"><i class="fas fa-save fa-fw"></i> Update Service</button>
                <a href="<?= base_url('admin/services.php') ?>" class="btn btn-dark text-light"><i class="fas fa-arrow-left fa-fw"></i> Back to All Services</a>
              </div>
            </div>
            <input type="hidden" name="id" value="<?= set_value('id', $service->id) ?>">
            <?= form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->
