<!DOCTYPE html>
<html lang="en">
<head>
  <title><?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?></title>
  <meta name="description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>" />
  <meta name="keywords" content="<?= (!empty($seoKey)) ? $seoKey : $this->crud->getSetting('websiteName') ?>" />
  <meta name="author" content="WebsiteProvide-KrishnaJaiKumar">
  <meta property="og:title" content="<?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?>">
  <meta property="og:site_name" content="<?= $this->crud->getSetting('websiteName') ?>">
  <meta property="og:url" content="<?= current_url() ?>">
  <meta property="og:description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>">
  <meta property="og:type" content="website">
  <?php if ($pageType == 'static') : ?>
    <?php if (!empty($cover)) : ?>
      <meta property="og:image" content="<?= $cover ?>">
    <?php else : ?>
      <meta property="og:image" content="<?= base_url($this->crud->getSetting('websiteLogo')) ?>">
    <?php endif; ?>
  <?php endif; ?>
  <meta name="twitter:card" content="summary">
  <meta name="twitter:site" content="@<?= $this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:title" content="<?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>">
  <?php if ($pageType == 'static') : ?>
    <?php if (!empty($cover)) : ?>
      <meta property="twitter:image" content="<?= $cover ?>">
    <?php else : ?>
      <meta property="twitter:image" content="<?= base_url($this->crud->getSetting('websiteLogo')) ?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php
  $seoTagsString = (!empty($seoKey)) ? $seoKey : $this->crud->getSetting('websiteName');
  $seoTagsArr = explode(',', $seoTagsString);
  ?>
  <?php foreach ($seoTagsArr as $seoTag) : ?>
    <meta property="article:tag" content="<?= $seoTag ?>">
  <?php endforeach; ?>
  <link rel="canonical" href="<?= current_url() ?>">
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="shortcut icon" href="<?= base_url('theme/') ?>images/favicon.png" type="image/x-icon">
  <link rel="icon" href="<?= base_url('theme/') ?>images/favicon.png" type="image/x-icon">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/css/bootstrap.min.css" />
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css"/>
  <link href="<?= base_url('theme/') ?>css/index.css" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css" />
</head>
<body>
  <div class="page-wrapper">
    <span class="header-span"></span>
    <!-- Main Header-->
    <header class="main-header header-style-two alternate">
      <?php $MFRMN0dKdWFmWlRWNUtNdTlwYTUvQT09 = $this->crud->getDataSingle('content', 'MFRMN0dKdWFmWlRWNUtNdTlwYTUvQT09', 'cid', null) ?>
      <?php if (!empty($MFRMN0dKdWFmWlRWNUtNdTlwYTUvQT09)): ?>
        <div class="movingheader">
          <div class="container">
            <marquee behavior="scroll" direction="left" onmouseover="this.stop();" onmouseout="this.start();">
              <?=$MFRMN0dKdWFmWlRWNUtNdTlwYTUvQT09->heading ?>
            </marquee>
          </div>
        </div>
      <?php endif; ?>
      <div class="header-top">
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-lg-7 d-lg-block d-none">
              <ul class="d-flex gap-5 topbar-contact-wrap">
                <li>
                  <a class="text-white" href="tel:<?=$this->crud->getSetting('websitePhone') ?>">
                    <i class="fa-solid fa-phone me-2"></i>
                    <?=$this->crud->getSetting('websitePhone') ?>
                  </a>
                </li>
                <li>
                  <a class="text-white" href="mailto:<?=$this->crud->getSetting('websiteEmail') ?>">
                    <i class="fa-regular fa-envelope-open me-2"></i>
                    <?=$this->crud->getSetting('websiteEmail') ?>
                  </a>
                </li>
              </ul>
            </div>
            <div class="col-lg-5">
              <ul class="social-links d-flex gap-4 justify-content-lg-end justify-content-center">
                <li><a href="<?=$this->crud->getSetting('websiteFacebookLink') ?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
                <li><a href="<?=$this->crud->getSetting('websiteInstagramLink') ?>" target="_blank"><i class="fa-brands fa-instagram"></i></a></li>
                <li><a href="<?=$this->crud->getSetting('websiteXLink') ?>" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
                <li><a href="<?=$this->crud->getSetting('websiteLinkedinLink') ?>" target="_blank"><i class="fa-brands fa-linkedin-in"></i></a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <!-- top header end -->
      <div class="main-box">
        <div class="container clearfix">
          <div class="logo-box">
            <div class="logo">
              <a href="<?=base_url() ?>">
                <img src="<?=base_url($this->crud->getSetting('websiteLogo'))?>" alt="<?=base_url($this->crud->getSetting('websiteName'))?>" title="<?=base_url($this->crud->getSetting('websiteName'))?>" />
              </a>
            </div>
          </div>
          <div class="nav-outer clearfix">
            <div class="mobile-nav-toggler">
              <span class="icon fa-solid fa-bars"></span>
            </div>
            <!-- Main Menu -->
            <nav class="main-menu navbar-expand-md navbar-light">
              <div class="navbar-header">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="icon flaticon-menu-button"></span>
                </button>
              </div>
              <div class="collapse navbar-collapse clearfix" id="navbarSupportedContent">
                <ul class="navigation clearfix">
                  <li class="<?=($this->uri->segment(1) == 'home' || empty($this->uri->segment(1)))?'current':null ?>">
                    <a href="<?=base_url()?>">Home</a>
                  </li>
                  <li class="dropdown <?=($this->uri->segment(1) == 'about')?'current':null ?>">
                    <a href="<?=base_url('about')?>">About Us</a>
                    <ul>
                      <li><a href="#our-story">Our Story</a></li>
                      <li><a href="<?=base_url('about/team')?>">Our Team</a></li>
                      <li><a href="<?=base_url('about')?>#vision-mission">Vision & Mission</a></li>
                    </ul>
                  </li>
                  <li class="dropdown <?=($this->uri->segment(1) == 'service')?'current':null ?>">
                    <a href="<?=base_url('service')?>">Services</a>
                    <ul>
                      <?php foreach ($this->crud->getDataAll('services', 'title', 'asc') as $serviceMenu): ?>
                        <li>
                          <a href="<?=base_url('service/'.@$serviceMenu->uri)?>">
                            <?=@$serviceMenu->title ?>
                          </a>
                        </li>
                      <?php endforeach; ?>
                    </ul>
                  </li>
                  <li class="dropdown">
                    <a href="#">Portfolio</a>
                    <ul>
                      <li><a href="<?=base_url('work')?>">Our Work</a></li>
                      <li><a href="<?=base_url('clients')?>">Our Clients</a></li>
                      <li><a href="<?=base_url('testimonials')?>">Testimonials</a></li>
                      <li><a href="<?=base_url('gallery')?>">Our Gallery</a></li>
                    </ul>
                  </li>
                  <li><a href="<?=base_url('blog')?>">Blogs</a></li>
                  <li><a href="<?=base_url('contact')?>">Contact Us</a></li>
                </ul>
              </div>
            </nav>
            <!-- Main Menu End-->
          </div>
        </div>
      </div>
      <!-- Mobile Menu  -->
      <div class="mobile-menu">
        <div class="menu-backdrop"></div>
        <div class="close-btn">
          <span class="icon fa-solid fa-xmark"></span>
        </div>
        <nav class="menu-box">
          <div class="nav-logo">
            <a href="<?=base_url()?>">
              <img src="<?=base_url($this->crud->getSetting('websiteLogo'))?>" alt="<?=base_url($this->crud->getSetting('websiteName'))?>" title="<?=base_url($this->crud->getSetting('websiteName'))?>" />
            </a>
          </div>
          <ul class="navigation clearfix">
          </ul>
        </nav>
      </div>
    </header>
